# -*- encoding: utf-8 -*-
# stub: authentication_identifier_transposer 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "authentication_identifier_transposer".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Barney de Villiers".freeze]
  s.date = "2017-06-12"
  s.description = "Rack Middleware transposing the authenticated identifier for Soar SC".freeze
  s.email = ["barney.de.villiers@hetzner.co.za".freeze]
  s.executables = ["console".freeze, "keypair-generator".freeze, "rotate-configs".freeze, "setup".freeze]
  s.files = ["bin/console".freeze, "bin/keypair-generator".freeze, "bin/rotate-configs".freeze, "bin/setup".freeze]
  s.homepage = "https://gitlab.host-h.net/hetznerZA/authentication-identifier-transposer-rack-middleware".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Rack Middleware transposing the authenticated identifier into something that is Soar SC friendly, this is to be used only when a Soar SC component is behind a gateway handling authentication.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rack>.freeze, [">= 1.6.4", "< 3.0.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 2.13"])
    s.add_development_dependency(%q<capybara>.freeze, ["~> 2.1", ">= 2.1.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0"])
    s.add_development_dependency(%q<simplecov-rcov>.freeze, ["~> 0"])
  else
    s.add_dependency(%q<rack>.freeze, [">= 1.6.4", "< 3.0.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2.13"])
    s.add_dependency(%q<capybara>.freeze, ["~> 2.1", ">= 2.1.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0"])
    s.add_dependency(%q<simplecov-rcov>.freeze, ["~> 0"])
  end
end
